.product-content {
    margin-bottom: 5rem;
}

.product a {
    text-decoration: none;
    padding: 5px;
}

.product-content h3 {
    color: #093b26;
    text-transform: uppercase;
    font-weight: 700;
}

.main-title-site img {
    width: 100%;
    margin: 1rem 0;
}

.featurette-divider {
    margin: 1rem 0;
}

.product-content .row {
    padding: 0;
    margin: 0;
}

.container.category-product {
    position: sticky;
}

.content-category-product {
    justify-content: center;
    text-align: center;
    position: relative;
    z-index: 2;
    height: auto;
    padding: 10px;
}

.content-category-product .row {
    display: flex;
    flex-wrap: nowrap;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch
}

.content-category-product h2 {
    font-size: 16px;
    font-weight: 700;
}

.content-category-product .btn {
    font-size: small;
    background-color: #093b26;
    font-weight: 600;
    color: #efff00;
}

.btn.btn-category-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 15vh;
}

.card.main-product {
    /* border: 2px solid #093b26; */
    overflow: hidden;
}

.card.main-product:hover {
    filter: drop-shadow(1px 1px 5px #093b26);
    transition: .10s;
}

.main-product a {
    text-decoration: none;
    color: #093b26;
}

.main-product .product-images {
    vertical-align: middle;
    width: 100%;
    height: 20vh;
}

.col.product .card-title {
    color: #093b26;
    font-size: 16px;
    font-weight: bold;
    margin: 0;
}

.col.product .card-body {
    font-size: 14px;
}

.col.product .card-text {
    margin: 0;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.col.product .card-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-transform: capitalize;
}

.col.product .price-product {
    font-weight: bold;
    color: #ff0000;
    font-size: large;
}

.card.shadow-sm {
    overflow: hidden;
}

.content-category-product .img-exclusive {
    width: 15vh;
    height: 15vh;
    margin-top: .5rem;
    margin-bottom: .5rem;
    border-radius: 100%;
    border: 3px solid #093b26;
}

.btn.btn-add-chart {
    background-color: #093b26;
    color: #efff00;
    font-weight: 600;
    width: 100%;
    font-size: small;
}

.about-store {
    background-color: #093b263b;
    color: #093b26;
    border-radius: 10px;
}

.main-footer {
    background-color: #093b26;
    text-align: center;
    width: 100%;
    bottom: 0;
    color: #efff00;
    padding: 1rem;
    margin-top: 6rem;
}

.contact-us a {
    text-decoration: none;
    font-style: italic;
    color: #093b26;
}

.main-footer p {
    margin: 0;
    font-weight: 600;
}

.main-footer .nav-item {
    color: #ffffff;
    margin: 5px 0;
    cursor: pointer;
}

.main-footer .nav-item:hover {
    color: #efff00;
}

.main-footer .copyright {
    border-top: 1px solid #efff00;
    padding: 1rem 0 0 0;
}

.main-footer .bank-list {
    width: 10vh;
    height: 5vh;
    height: 5vh;
}

/* Card Comment Review */
.card.card-review {
    margin-top: 3rem;
    padding: 1rem;
}

.card-review h1 {
    background-color: rgb(236, 236, 236);
    color: #093b26;
    font-size: 26px;
    padding: .5rem;
    border-radius: 5px;
    font-weight: 800;
}

.card.comment-review {
    background-color: rgb(236, 236, 236);
    margin-top: .5rem;
    padding: 1rem;
    border: none;
}

.card.comment-review .row {
    display: flex;
}

.card.comment-review .col-md-1 {
    justify-content: center;
    text-align: center;
}

.comment-review .user-images {
    width: 6vh;
    height: 6vh;
    border-radius: 100%;
    margin-top: 10px;
}

.comment-review .user-comment {
    margin-bottom: 1rem;
}

#weight-comment,
#quality-comment,
#comfortable-comment {
    margin: 0;
    font-weight: 600;
}

.comment-review #detail-comment {
    margin-top: .5rem;
}

.comment-review #username_comment {
    text-transform: uppercase;
    font-weight: bold;
    margin: 0;
}

.comment-review #rate {
    margin: 0;
}

/* Single Product */
.container.single-product {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.detail-product .row.row-cols-3 {
    background-color: rgb(239, 239, 239);
    font-weight: 500;
    color: #093b26;
    padding: 5px;
    margin: .5rem 0 0 0;
    justify-content: center;
    text-align: center;

}

.detail-product .row.btn-shop {
    display: flex;
    text-align: center;
    justify-content: center;
}

.detail-product .btn.btn-add-to-chart {
    border: 1px solid #093b26;
    color: #093b26;
    width: 100%;
    padding: 8px;
    font-weight: bold;
}

.detail-product .btn.buy-now {
    background-color: #093b26;
    color: #ffffff;
    width: 100%;
    padding: 8px;
    font-weight: bold;
}


.detail-product h1 {
    background-color: rgb(239, 239, 239);
    color: #093b26;
    font-size: 20px;
    padding: .3rem;
}

.detail-product #product-title {
    text-transform: capitalize;
    color: #093b26;
    margin: 0;
}

.detail-product #category-title {
    color: #093b26;
    font-weight: bold;
}

.detail-product #category-title span {
    text-transform: capitalize;
    color: #0068ff;
    font-weight: 500;
}

.detail-product .count-item {
    width: 100%;
    text-align: center;
    border: 1px solid #093b26;
    border-radius: 2rem;
    padding: .4rem;
}

.detail-product .count-item button:hover {
    background-color: #093b26;
}

.detail-product #product-price {
    font-size: 40px;
    font-weight: bold;
    color: #ff0000;
}

.detail-product #product-description {
    color: #093b26;
    font-size: 14px;
}

.detail-product .fa-star {
    color: orange;
}

img#main-product-image {
    width: 100%;
    max-width: 55vh;
    max-height: 55vh;
    margin-bottom: 1rem;
}

.thumbnails .img-thumbnail {
    width: 80px;
    height: 80px;
    object-fit: cover;
    cursor: pointer;
}

/* Dropdown */
.dropdown-menu.show {
    background: #093b26;
    height: 30vh;
    overflow-y: scroll;
    padding: 0;
    margin: 0;
}

.dropdown-menu.show a {
    text-decoration: none;
}

.dropdown-menu .dropdown-item {
    color: #ffffff;
    font-weight: 500;
    font-size: small;
    border-bottom: 1px solid #ffffff1f;
}

.dropdown-menu .dropdown-item:hover {
    background: #efff00;
    color: #093b26;
    font-weight: 700;
}

/* Livechat */
.chatbox-open,
.chatbox-close {
    position: fixed;
    bottom: 20px;
    right: 25px;
    background-color: limegreen;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 55px;
    height: 55px;
    text-align: center;
    z-index: 9999;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.chatbox-close {
    display: none;
    background-color: #ff0000;
}

.chatbox-popup,
.chatbox-panel {
    position: fixed;
    bottom: 90px;
    right: 25px;
    background: #fff;
    width: 320px;
    border-radius: 15px;
    box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
    display: none;
    flex-direction: column;
    overflow: hidden;
    z-index: 9998;
}

.chatbox-panel {
    width: 450px;
    height: 500px;
}

.chatbox-popup__header,
.chatbox-panel__header {
    background-color: #093b26;
    color: #fff;
    padding: 10px;
    display: flex;
    align-items: center;
}

.chatbox-popup__header h1 {
    font-size: 25px;
    color: #efff00;
    margin: 0;
}

.chatbox-popup__header p {
    font-size: small;
    color: #efff00;
    margin: 0;
}

.chatbox-popup__header i {
    color: #efff00;
}

.chatbox-popup__main,
.chatbox-panel__main {
    padding: 15px;
    margin-bottom: 5rem;
}

.chatbox-popup__main .chat-agent {
    padding: .3rem 0;
}

.chatbox-panel__main .btn {
    color: #ffffff;
    background-color: #1a9d1a;
}

.chatbox-popup__footer,
.chatbox-panel__footer {
    padding: 10px;
    color: #093b26;
    background: #f9f9f9;
}

.chat-agent img {
    object-fit: cover;
    border: 2px solid #ddd;
}

.chat-agent .btn.btn-sm {
    color: #ffffff;
    background-color: #249424;
}

.chat-agent small {
    font-weight: 500;
}

.room-livechat{
    margin-bottom: 15px;
}

.room-livechat li {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.room-livechat #id_livechat {
    font-weight: bold;
}

.room-livechat #status_online {
    font-size: small;
    color: green;
}

.room-livechat #open_chat button {
    background-color: #1a9d1a;
    margin-top: 3px;
    color: #fff;
    --bs-btn-padding-y: .25rem;
    --bs-btn-padding-x: .5rem;
    --bs-btn-font-size: .75rem;
}

@media (min-width: 540px) {
    .sm\:w-half {
        width: 50%;
    }
}

@media screen and (max-width: 480px) {
    .main-title-site img {
        margin: .5rem 0;
    }

    .dropdown-menu.show {
        background: #093b26;
        height: 30vh;
        overflow: scroll;
        padding: 0;
        margin: 0;
    }

    .dropdown-menu.show a {
        text-decoration: none;
    }

    .dropdown-menu .dropdown-item {
        color: #ffffff;
        font-weight: 500;
        font-size: small;
        border-bottom: 1px solid #ffffff1f;
    }

    .product a {
        margin: 0;
    }

    .container.banner-site {
        padding: 0;
    }

    .content-category-product {
        padding: 0 10px;
    }

    .content-category-product .col {
        padding: 0 5px;
    }

    .container.category-product {
        padding: 0 5px;
    }

    .container.nav-scroller {
        margin: 0;
        padding: 0;
    }

    .content-category-product .img-exclusive {
        width: 10vh;
        height: 10vh;
        margin-top: .5rem;
        margin-bottom: .5rem;
        border-radius: 100%;
        border: 3px solid #093b26;
    }

    .content-category-product .p {
        margin-bottom: 0;
    }

    .content-category-product .btn {
        background-color: #093b26;
        padding: 3px 10px;
        font-weight: 600;
        color: #efff00;
    }

    .col.product .card-body {
        padding: 10px;
    }

    .btn.btn-category-name {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 10vh;
        font-size: 11px;
    }

    .container.all-product h3 {
        text-align: center;
    }

    .col.product .price-product {
        margin-bottom: 5px;
    }

    .about-store {
        display: none;
    }

    .product-content {
        margin-bottom: 2rem;
    }

    .product-content .col-md-3 {
        padding: 5px;
    }

    .contact-us {
        border-top: 2px solid #093b26;
        margin-top: 1rem;
        padding: 1rem 0;
    }

    .btn.btn-add-chart {
        font-size: 10px;
    }

    .nav-scroller marquee {
        font-size: small;
    }

    .main-footer {
        margin-top: 3rem;
        padding: .8rem;
    }

    .main-footer h5 {
        font-size: medium;
    }

    .main-footer .nav-item {
        font-size: small;
    }

    /* SINGLE PRODUCT */
    .breadcrumb-item.active.text-dark {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 30vh;
    }

    .thumbnails .img-thumbnail {
        width: 60px;
        height: 60px;
        object-fit: cover;
        cursor: pointer;
    }

    .detail-product .btn.btn-add-to-chart,
    .detail-product .btn.buy-now {
        font-size: small;
    }

    .detail-product .row.row-cols-3 {
        font-size: small;
    }


    .card.comment-review {
        padding: .5rem;
    }

    .card.card-review h1 {
        font-size: large;
    }

    .card.comment-review .col-md-1 {
        width: fit-content;
        padding: 0 1rem;
    }

    .comment-review .user-comment {
        font-size: small;
        margin-bottom: .5rem;
    }

    #weight-comment,
    #quality-comment,
    #comfortable-comment {
        font-size: small;
    }

    .comment-review #detail-comment {
        font-size: small;
    }

    .comment-review #username_comment {
        font-size: small;
    }

    .comment-review #rate {
        font-size: small;
        padding: 0;
        margin: 0;
    }
}
